@echo off
set internal=21
set intname=resources
set wdgname=resources

goto Start

:: \/ Read the below for instructions on how to use this file \/

:NoWDG
echo.
echo  For best results with WZCK2.0, ensure that the following are performed:
echo.
echo 1: Ensure that this batch file and "makeWDG.exe" are in WZCK2.0's
echo    "MakeWDG" subfolder.
echo 2: Copy all the desired WRF files (Stats.wrf, PieStats.wrf, etc.)
echo    into this directory as well.
echo 3: Create additional subfolders in this folder such as "stats",
echo    "messages", "features", and etc. that will house your mod's
echo    data files.
echo 4: Place your mod's data files in the directories specified
echo    by the WRF's you are using.
echo 5: Run this batch file again to create your WDG.
echo.
echo Note:  WZCK2.0 will also use this data when compiling your WDG.

goto Finish

:Start
if not Exist MakeWDG.exe goto NoMakeWDG
if not Exist *.wrf goto NoWRFs
echo.
echo    *** WZCK Command-Line Compiler ***
echo.
echo Please select a standard to use for this WZ mod:
echo A - Official v1.10 Patch
echo B - NEWST v1.11 Update
echo.
rem choice /C:AB /N "Your choice (A,B)?"
rem if errorlevel 2 goto v111

:v110
echo.
echo Compiling WeaponMod.wdg for the Official v1.10 Patch...
echo.
MakeWDG.exe -v -o "%wdgname%110.wdg" -x %internal% %intname% -s 11 nov -s 0 warzone -w *.wrf >makeWDG.txt
rem goto Done

:v111
echo.
echo Compiling WeaponMod.wdg for the NEWST v1.11 Update...
echo.
MakeWDG.exe -v -o "%wdgname%111.wdg" -x %internal% %intname% -s 12 dec -s 0 warzone -w *.wrf >makeWDG.txt

:Done
echo WeaponMOD.wdg has been compiled.  For a complete progress report,
echo refer to "makeWDG.txt".
echo.
echo Have a nice day! 
goto Finish

:NoMakeWDG
echo Error:  Cannot locate the WDG Compiler shell program.
echo.
echo It should be in this directory.
echo Have you installed WZCK 2.0 properly?
goto NoWDG

:NoWZCK
echo Error:  Cannot locate a version of WZCK.
echo.
echo Have you installed WZCK 2.0 properly?
goto NoWDG

:NoWRFs
echo Error:  Cannot locate any WRF instructions.
echo.
echo Place at least one WRF file (i.e., Stats.wrf, PieStats.wrf)
echo in this directory and try again.
goto NoWDG

:Finish
delete WDG.tmp
delete makeWDG.txt
set internal=
set intname=
set wdgname=